Wondering what’s next for npm?Check out our public roadmap! »

    node-brocade

    2.0.0 • Public • Published

    brocade

    dependencies status travis npm version npm downloads coverage Status

    Module for making requests to the Brocade API

    Installation

    npm

    npm install node-brocade --save
    

    unpkg

    <script src="https://unpkg.com/node-brocade@2.0.0/dist/main.min.js"></script>
    

    Usage

    const brocade = require('node-brocade');
     
    brocade.item('4335896051932').then(data => {
      console.log(JSON.stringify(data));
    }).catch(error => {
      console.log(error.message);
    });

    Features

    Get an item by its GTIN

    brocade.item('4335896051932').then(data => {
      console.log(JSON.stringify(data));
    }).catch(error => {
      console.log(error.message);
    });

    List the first 100 products

    brocade.list().then(data => {
      console.log(JSON.stringify(data));
    }).catch(error => {
      console.log(error.message);
    });

    List all items of a specific page

    brocade.page('20').then(data => {
      console.log(JSON.stringify(data));
    }).catch(error => {
      console.log(error.message);
    });

    Search for items

    brocade.query('peanut butter').then(data => {
      console.log(JSON.stringify(data));
    }).catch(error => {
      console.log(error.message);
    });

    License

    GPL-3.0

    Keywords

    none

    Install

    npm i node-brocade

    DownloadsWeekly Downloads

    1

    Version

    2.0.0

    License

    GPL-3.0

    Unpacked Size

    47.3 kB

    Total Files

    8

    Last publish

    Collaborators

    • avatar